#ifndef __ARTISTI_H_HEADER_FILE__
#define __ARTISTI_H_HEADER_FILE__

#include "Const_and_Utility.h"
#include <iostream.h>
#include <stdlib.h>
#include <iomanip.h>
#include <string.h>
#include <stdio.h>
#include <fstream.h>

// File su disco: ./"FileArtisti.dat"
    

// convenzione: codice_univoco_album = "UNKNOWN"
// identifica un record con un artista non ancora associato ad alcun album

typedef struct type_record_artisti {

   char codice[MAX_NUM_CHAR_IN_STRING+1];
   char nome[MAX_NUM_CHAR_IN_STRING+1];
   char cognome[MAX_NUM_CHAR_IN_STRING+1];
   double compenso;
} artista;


void coutArtista(artista a);


struct nodeListA {
     artista data;
     nodeListA * next;
};
nodeListA *createNodeA(artista sa);
void insertSortedListA(nodeListA* & h, nodeListA *x);
void printListA(nodeListA* h);
void eraseListA(nodeListA* &h);

nodeListA *CercaCodiceAInListaA(nodeListA * h, char s[]);
nodeListA *sottolistaCodiceAInListaA(nodeListA * h, char s[]);
nodeListA *sottolistaNomeAInListaA(nodeListA * h, char s[]);
nodeListA *sottolistaCognomeAInListaA(nodeListA * h, char s[]);
nodeListA *sottolistaCompensoAInListaA(nodeListA * h, double a);


void Cin_insertNewArtist(nodeListA* & ArtistList);

void Crea_ListaA_daFile(nodeListA * & list);
void Scrivi_ListaA_suFile(nodeListA * & list);





#endif
