#ifndef __ALBUM_H_HEADER_FILE__
#define __ALBUM_H_HEADER_FILE__


#include "Const_and_Utility.h"
#include "Artisti.h"
#include "Album.h"

#include <iostream.h>
#include <stdlib.h>
#include <iomanip.h>
#include <string.h>
#include <stdio.h>
#include <fstream.h>

// File su disco: ./"FileAlbum.dat"    

// convenzione: codice = "UNKNOWN"
// identifica un record con un artista non ancora associato ad alcun album

typedef struct type_record_albums {

   char codiceR[MAX_NUM_CHAR_IN_STRING+1];  // Codice univoco Album 
   char nome[MAX_NUM_CHAR_IN_STRING+1];     // Nome Album 
   char codiceA[MAX_NUM_CHAR_IN_STRING+1];  // Codice univoco Autore
   int anno;
   double prezzo;
   int num;      // 0 < num <= MAX_CANZONI_IN_ALBUM
   char* canzoni[MAX_CANZONI_IN_ALBUM];
   // vettore di puntatori a carattere che punteranno alle stringhe
   // (array di char con al pi [MAX_NUM_CHAR_IN_STRING+1] elementi) allocate
   // dinamicamente per contenere i titoli delle canzoni.
} album;

void coutAlbum(album a);


struct nodeListR {
     album data;
     nodeListR *next;
};

nodeListR *createNodeR(album sa);
void insertSortedListR(nodeListR*& h, nodeListR* x);
void printListR(nodeListR* h);
void eraseListR(nodeListR*& h);


nodeListR * CercaCodiceRInListaR(nodeListR * h, char codice[]);
void Cin_insertNewAlbum(nodeListR* & AlbumList);


nodeListR *sottolistaNomeInListaR(nodeListR * h, char s[]);
nodeListR *sottolistaCodiceAInListaR(nodeListR * h, char s[]);
nodeListR *sottolistaAnnoInListaR(nodeListR * h, int a);
nodeListR *sottolistaPrezzoInListaR(nodeListR * h, double a);
nodeListR *sottolistaTitoloCanzoneInListaR(nodeListR * h, char s[]);





void Crea_ListaR_daFile(nodeListR * & list);
void Scrivi_ListaR_suFile(nodeListR * & list);





#endif
